<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="1bc35010-19ed-4349-8ee6-f3f38025ce70" name="Changes" comment="checked more stuff off. still need to work on OOP">
      <change afterPath="$PROJECT_DIR$/.idea/jpa-buddy.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/SRP/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/SRP/ShapesPrinter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/liskov/NotAShape.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/open_closed/AreaShapes.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/open_closed/Circle.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/open_closed/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/open_closed/OPC.scala" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/open_closed/Shape.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/open_closed/Square.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/oop/open_closed/Triangle.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/oop/SRP/AreaShapes.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/oop/AreaShapes.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/oop/SRP/Circle.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/oop/SRP/Circle.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/oop/SRP/SRP.scala" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/oop/SRP/SRP.scala" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/oop/SRP/Square.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/oop/SRP/Square.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/oop/liskov.scala" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/oop/liskov/liskov.scala" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/scala/oop/strategy.scala" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/scala/oop/strategy.scala" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeStyleSettingsInfer">
    <option name="done" value="true" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Scala Worksheet" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="dev" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="2" />
  </component>
  <component name="ProjectId" id="2Jr7Gw01heaoTQYlpFNDGLUUj2I" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;ASKED_ADD_EXTERNAL_FILES&quot;: &quot;true&quot;,
    &quot;SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;
  }
}</component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="oop.open_closed" />
    </key>
  </component>
  <component name="RunManager" selected="Application.Main">
    <configuration name="JavaOnly$Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="JavaOnly$Main" />
      <module name="checklist" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="oop.open_closed.Main" />
      <module name="checklist" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="oop.open_closed.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Main" />
        <item itemvalue="Application.JavaOnly$Main" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="1bc35010-19ed-4349-8ee6-f3f38025ce70" name="Changes" comment="" />
      <created>1672824258642</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1672824258642</updated>
    </task>
    <task id="LOCAL-00001" summary="checked more stuff off. still need to work on OOP">
      <created>1673600723023</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1673600723023</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="HEAD" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="checked more stuff off. still need to work on OOP" />
    <option name="LAST_COMMIT_MESSAGE" value="checked more stuff off. still need to work on OOP" />
  </component>
</project>